Bug 1012490 - List all JNDI names for messaging destinations in runtime metrics page
List all JNDI names for messaging destinations in runtime metrics page
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR1
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Nidhi
:
Depends On: 1066151
Blocks: 1014047
  Show dependency treegraph
 
Reported: 2013-09-26 10:42 EDT by Martin Svehla
Modified: 2015-02-01 18:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6 it was found that the Runtime metrics page for messaging destinations (Runtime > JMS Destinations) listed only a single assigned JNDI name for a Java Messaging Service (JMS) destination. The other JNDI names for a Java Messaging Service (JMS) destination were denoted with an ellipsis ("..."). This meant that complete list of JNDI names for a Java Messaging Service (JMS) destination could only be accessed by visiting the complete destination list in EAP Profile(s). In this release, the complete list of JNDI names for all Java Messaging Service (JMS) destinations are visible in Runtime metrics page for messaging destinations (Runtime > JMS Destinations) aided by a tooltip. If a JNDI name list is too long it is truncated and the ellipsis is displayed but the tooltip displays the complete list when the mouse is hovered over a JNDI name entry.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:41:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the queue listing (98.06 KB, image/png)
2013-09-26 10:42 EDT, Martin Svehla
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-226 Major Resolved List all JNDI names for messaging destinations in runtime metrics page 2014-07-24 03:28:59 EDT

  None (edit)
Description Martin Svehla 2013-09-26 10:42:17 EDT
Description of problem:
Metrics page for messaging destinations in Runtime -> JMS Destinations shows only first JNDI name for every destination, showing "..." for other names.


Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3


Expected results:
User should be able to see full list of JNDI names without having to go to Profile destination listings. Tooltip would be probably best.
Comment 1 Martin Svehla 2013-09-26 10:42:56 EDT
Created attachment 803441 [details]
Screenshot of the queue listing
Comment 2 JBoss JIRA Server 2013-09-30 09:04:33 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-226 to Resolved
Comment 3 JBoss JIRA Server 2013-09-30 09:04:33 EDT
Harald Pehl <hpehl@redhat.com> made a comment on jira HAL-226

Show first JNDI name in table, all other in tooltip
Comment 4 Vladimir Dosoudil 2013-10-01 08:05:23 EDT
Moving back to ASSIGNED (https://docspace.corp.redhat.com/docs/DOC-154626).
There's no PR to eap 6.x github repo https://github.com/jbossas/jboss-eap/
Comment 5 Vladimir Dosoudil 2013-10-01 08:48:25 EDT
The umbrella issue 1014047 is available now.
Comment 6 Jakub Cechacek 2013-10-09 04:36:42 EDT
The tool tip doesn't pop up for me (Tested in FF and chrome)
Comment 7 JBoss JIRA Server 2013-11-21 17:23:52 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-226 to Reopened
Comment 8 JBoss JIRA Server 2014-01-30 04:36:05 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-226 to Resolved
Comment 9 Jakub Cechacek 2014-02-26 07:09:52 EST
Verified 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.